Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -2442,19 +2442,19 @@
 ! declaration des variables      
 ! **inputs
-integer ncas
-real qp0(ncas),xtp0(niso,ncas)
-real Pxtisup(niso,ncas)
-real Pqisup(ncas),Eqi(ncas),Pqiinf(ncas)
-real qs(ncas),qeff(ncas)
-real fac_ftmr(ncas)
-
-real Tevap(ncas)
-real deltaP(ncas),wt(ncas)
+INTEGER ncas
+REAL qp0(ncas),xtp0(niso,ncas)
+REAL Pxtisup(niso,ncas)
+REAL Pqisup(ncas),Eqi(ncas),Pqiinf(ncas)
+REAL qs(ncas),qeff(ncas)
+REAL fac_ftmr(ncas)
+
+REAL Tevap(ncas)
+REAL deltaP(ncas),wt(ncas)
 
 ! **outputs
-real Pxtiinf(niso,ncas)
-real xtnew(niso,ncas)
-real Exi(niso,ncas)
-integer ixt
+REAL Pxtiinf(niso,ncas)
+REAL xtnew(niso,ncas)
+REAL Exi(niso,ncas)
+INTEGER ixt
 
 ! **locals
@@ -2462,34 +2462,34 @@
 #ifdef ISOVERIF
 !real deltaD,deltaO,O17excess
-real Rlfin(niso),Rbfin(niso)
-integer debug ! si 1: on sort à l'écran ce qui se passe en il_debug
-integer il_debug
+REAL Rlfin(niso),Rbfin(niso)
+INTEGER debug ! si 1: on sort à l'écran ce qui se passe en il_debug
+INTEGER il_debug
 #endif        
 
 ! intermediaires
-real h(ncas)
-real gama(niso,ncas), beta(niso,ncas), &
+REAL h(ncas)
+REAL gama(niso,ncas), beta(niso,ncas), &
 &           interm(niso,ncas)
-real alphap(niso,ncas)
-real Rl0(niso,ncas), Rb0(niso,ncas), Rl(niso,ncas),  &
+REAL alphap(niso,ncas)
+REAL Rl0(niso,ncas), Rb0(niso,ncas), Rl(niso,ncas),  &
 &           Rb(niso,ncas)
-real m(ncas), m0(ncas), A(ncas), qp(ncas)
-real J(niso,ncas),e(niso,ncas)
-real r_l0qp0(ncas), r_jqp0(niso,ncas),  &
+REAL m(ncas), m0(ncas), A(ncas), qp(ncas)
+REAL J(niso,ncas),e(niso,ncas)
+REAL r_l0qp0(ncas), r_jqp0(niso,ncas),  &
 &           r_jl0(niso,ncas)
-real f(ncas),g(ncas)
-real Revap(niso,ncas)
-real Revap0(niso,ncas)
-real Revapfin(niso,ncas)
-real fv(ncas)
+REAL f(ncas),g(ncas)
+REAL Revap(niso,ncas)
+REAL Revap0(niso,ncas)
+REAL Revapfin(niso,ncas)
+REAL fv(ncas)
 
 !real  ! debugage
-real real_to_double        
-integer il
+REAL real_to_double
+INTEGER il
 #ifdef ISOVERIF
 !integer iso_verif_aberrant_nostop
 !integer iso_verif_egalite_choix_nostop
 !integer iso_verif_egalite_nostop
-real Jtmp,etmp
+REAL Jtmp,etmp
 #endif      
 !integer iso_verif_noNaN_nostop
@@ -2501,11 +2501,11 @@
 
 ! parsage
-integer trace(ncas)
-integer icas_Jsimple,ncas_Jsimple
-integer icas_rieman,ncas_rieman
-integer cas_Jsimple(ncas)
-integer cas_rieman(ncas)
-
-real m_cas(ncas), m0_cas(ncas), &
+INTEGER trace(ncas)
+INTEGER icas_Jsimple,ncas_Jsimple
+INTEGER icas_rieman,ncas_rieman
+INTEGER cas_Jsimple(ncas)
+INTEGER cas_rieman(ncas)
+
+REAL m_cas(ncas), m0_cas(ncas), &
 &     qp0_cas(ncas),A_cas(ncas), &
 &     beta_cas(niso,ncas),gama_cas(niso,ncas),f_cas(ncas), &
@@ -2516,5 +2516,5 @@
 &     xtnew_cas(niso,ncas),Pqiinf_cas(ncas), &
 &     Eqi_cas(ncas),xtp0_cas(niso,ncas)
-real fac_ftmr_cas(ncas)
+REAL fac_ftmr_cas(ncas)
 !        integer ntot_cas(ncas)
 
@@ -2538,5 +2538,5 @@
 IF (iso_verif_egalite_nostop(( &
 &           Pqisup(il)-Eqi(il)-Pqiinf(il)),0.0, &
-&          'stewart_explicite 37' ).eq.1) THEN
+&          'stewart_explicite 37' ).EQ.1) THEN
   WRITE(*,*) 'il,Pqisup(il),Eqi(il),Pqiinf(il)=', &
 &          il,Pqisup(il),Eqi(il),Pqiinf(il) 
@@ -2554,5 +2554,5 @@
 &          'stewart_explicite 58',errmax,errmaxrel)
    enddo !do il=1,ncas 
- endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+ END IF !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 #endif
  
@@ -2582,6 +2582,6 @@
     ! éviter des Pqisup pathologiquement petits
 #ifdef ISOVERIF
-    if ((abs(Pqiinf(il)).gt.ridicule) &
-&            .or.(abs(Eqi(il)).gt.ridicule)) THEN
+    IF ((abs(Pqiinf(il)).gt.ridicule) &
+&            .OR.(abs(Eqi(il)).gt.ridicule)) THEN
         WRITE(*,*) 'stewart_explicite 39'
         WRITE(*,*) 'Pqisup=',Pqisup(il)
@@ -2596,5 +2596,5 @@
       Pxtiinf(ixt,il)=0.0
     enddo
-    if (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
+    IF (abs(Eqi(il)*fac_ftmr(il)).gt.ridicule) THEN
         ! attention: pour des raisons obscures, il y a parfois
         ! de le réévaporation significative alors qu'il n'y a
@@ -2603,5 +2603,5 @@
         ! on suppose qu'elle ne change pas la composition
         ! isotopique de la vapeur. 
-        if (qp0(il).gt.ridicule) THEN
+        IF (qp0(il).gt.ridicule) THEN
            do ixt=1,niso
            Rb0(ixt,il)=xtp0(ixt,il)/qp0(il)  
@@ -2614,5 +2614,5 @@
            Rb0(ixt,il)=0.0     
            enddo ! do ixt=1,niso
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
                 Rb0(iso_eau,il)=1.0
            endif
@@ -2636,5 +2636,5 @@
 &             'stewart_explicite_vectall 220')
     enddo
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &              (Exi(iso_eau,il)*fac_ftmr(il)), &
@@ -2650,13 +2650,13 @@
 &                'stewart_explicite 218',errmax*10,errmaxrel*50) 
        endif !if (iso_eau.gt.0) THEN
-       if ((iso_HDO.gt.0).and. &
+       IF ((iso_HDO.gt.0).AND. &
 &           (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule)) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 214')
-       endif !if ((iso_HDO.gt.0).and.
+       endif !if ((iso_HDO.gt.0).AND.
 
 #endif              
-else !if (Pqisup.eq.0) THEN
+else !if (Pqisup.EQ.0) THEN
 h(il)=qeff(il)/qs(il)       
 h(il)= MAX(MIN(h(il),1.0),0.0)
@@ -2669,5 +2669,5 @@
 ! en fait, tout reste pareil si h<1, car diff devient alors
 ! difficile
-IF ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
+IF ((Eqi(il)*fac_ftmr(il).lt.ridicule).AND.(h(il).lt.0.99)) THEN
 !            WRITE(*,*) 'stewart_explicite 137: cas pas d''évap'
 
@@ -2688,14 +2688,14 @@
 #endif
 #ifdef ISOVERIF
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
 &                   (Pqiinf(il)), &
 &                  'stewart_explicite 143',errmax,errmaxrel)
-      if (iso_verif_egalite_choix_nostop( &
+      IF (iso_verif_egalite_choix_nostop( &
 &              (Exi(iso_eau,il)*fac_ftmr(il)), &
 &              (Eqi(il)*fac_ftmr(il)), &
 &              'stewart_explicit 283',errmax*10,errmaxrel*10) &
-&              .eq.1) THEN
+&              .EQ.1) THEN
         WRITE(*,*) 'il=',il
         WRITE(*,*) 'Eqi(il)=',Eqi(il)
@@ -2703,23 +2703,23 @@
         stop
       endif
-      if (Pqiinf(il).gt.ridicule) THEN
+      IF (Pqiinf(il).gt.ridicule) THEN
           CALL iso_verif_egalite_choix &
 &               ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &               1.,'stewart_explicite 143',errmax,errmaxrel)
       endif !if (Pqiinf.gt.ridicule) THEN
-    endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-    if (iso_HDO.gt.0) THEN
-      if (Pqiinf(il).gt.ridicule_rain) THEN
+    endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+    IF (iso_HDO.gt.0) THEN
+      IF (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                'stewart_explicie 132')   
-      endif   !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-      if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+      endif   !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+      IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 268')
-      endif !if ((iso_HDO.gt.0).and.
+      endif !if ((iso_HDO.gt.0).AND.
     endif !if (iso_HDO.gt.0) THEN
-    if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+    IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
            WRITE(*,*) 'stewart_explicit 302: cas evap~0'
            WRITE(*,*) 'deltaDv est inchangé:',deltaD( &
@@ -2730,5 +2730,5 @@
      ! end verif
 
- else !if ((Eqi(il)*fac_ftmr(il).lt.ridicule).and.(h(il).lt.0.99)) THEN
+ else !if ((Eqi(il)*fac_ftmr(il).lt.ridicule).AND.(h(il).lt.0.99)) THEN
 A(il)=wt(il)/deltaP(il)*fac_ftmr(il)
 m0(il)=max(Pqisup(il)*deltaP(il)/wt(il),0.0)
@@ -2742,7 +2742,7 @@
    Rb0(ixt,il)=0.0 
   enddo !do ixt=1,niso
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
       Rb0(iso_eau,il)=1.0
-  endif
+  ENDIF
 END IF
 IF (Pqisup(il).gt.ridicule*1e-3) THEN
@@ -2754,7 +2754,7 @@
    Rl0(ixt,il)=0.0
   enddo !do ixt=1,niso 
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
       Rl0(iso_eau,il)=1.0
-  endif
+  ENDIF
 END IF ! if (Pqisup(il).gt.ridicule*1e-3) THEN
 f(il)=m(il)/m0(il)    
@@ -2779,8 +2779,8 @@
 #ifdef ISOVERIF
 DO ixt=1,niso
-  if ((iso_verif_noNaN_nostop((Rl0(ixt,il)), &
-&          'stewart_explicit 357').eq.1).or.  &
+  IF ((iso_verif_noNaN_nostop((Rl0(ixt,il)), &
+&          'stewart_explicit 357').EQ.1).OR.  &
 &          (iso_verif_noNaN_nostop((Rb0(ixt,il)), &
-&          'stewart_explicit 359').eq.1)) THEN
+&          'stewart_explicit 359').EQ.1)) THEN
     WRITE(*,*) 'Pxtisup(ixt,il)=',Pxtisup(ixt,il)
     WRITE(*,*) 'Pqisup(il)',Pqisup(il)
@@ -2788,17 +2788,17 @@
     WRITE(*,*) 'qp0(il)=',qp0(il)
     stop
-  endif !if ((iso_verif_noNaN_nostop
+  ENDIF !if ((iso_verif_noNaN_nostop
 END DO !do ixt=1,niso
 #endif              
 #ifdef ISOVERIF
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
     CALL iso_verif_egalite_choix( &
 &           (xtp0(iso_eau,il)), &
 &           (qp0(il)),'stewart_explicit 199', &
 &           errmax,errmaxrel)  
-    if (iso_verif_egalite_choix_nostop( &
+    IF (iso_verif_egalite_choix_nostop( &
 &           (Rb0(iso_eau,il)),1.0, &
 &           'stewart_explicit 136', &
-&           errmax*10,errmaxrel*10).eq.1) THEN
+&           errmax*10,errmaxrel*10).EQ.1) THEN
        WRITE(*,*) 'xtp0,qp0,Rb0=', &
 &           xtp0(iso_eau,il),qp0(il),Rb0(iso_eau,il)
@@ -2808,7 +2808,7 @@
 &           Pxtisup(iso_eau,il)),(Pqisup(il)), &
 &           'stewart_explicit 208',errmax,errmaxrel)
-    if (iso_verif_egalite_choix_nostop( &
+    IF (iso_verif_egalite_choix_nostop( &
 &           (Rl0(iso_eau,il)),1.0, &
-&        'stewart_explicit 209',errmax,errmaxrel).eq.1) THEN
+&        'stewart_explicit 209',errmax,errmaxrel).EQ.1) THEN
       WRITE(*,*) 'Pxtisup(iso_eau,il),Pqisup=', &
 &                   Pxtisup(iso_eau,il),Pqisup(il)
@@ -2816,9 +2816,9 @@
     endif !if (iso_verif_egalite_choix_nostop(
     ! rajout verif 4 sept 2009
-    if (iso_HDO.gt.0) THEN
+    IF (iso_HDO.gt.0) THEN
         CALL iso_verif_aberrant_choix(Rl0(iso_HDO,il)*Pqisup(il),Pqisup(il), &
 &                   ridicule_rain,deltalim_snow,'stewart_explicite 368')
     endif !if (iso_HDO.gt.0) THEN
-  endif !(iso_eau.gt.0)
+  ENDIF !(iso_eau.gt.0)
 #endif
 ! end verif
@@ -2826,5 +2826,5 @@
         
 ! **** cas où m=0 <-> f=0
-IF ((f(il).lt.1e-9).or.(Pqiinf(il).lt.ridicule/10.)) THEN
+IF ((f(il).lt.1e-9).OR.(Pqiinf(il).lt.ridicule/10.)) THEN
     !WRITE(*,*) 'stewart_explicit 137: cas f=0: il=',il
   do ixt=1,niso 
@@ -2847,5 +2847,5 @@
 &                   'stewart_explicite 271')
    enddo !do ixt=1,niso   
-   if (iso_eau.gt.0) THEN
+   IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -2860,14 +2860,14 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 229',errmax*10,errmaxrel*10)
-      if (Pqiinf(il).gt.ridicule) THEN
+      IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 143',errmax,errmaxrel)
       endif !if (Pqiinf.gt.ridicule) THEN
-      if (iso_verif_egalite_choix_nostop( &
+      IF (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 218',errmax*10,errmaxrel*50) &
-&                           .eq.1) THEN
+&                           .EQ.1) THEN
                 WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
                 WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
@@ -2886,12 +2886,12 @@
              !Exi=Eqi
              !xtnew=qp0+Eqi*fac_ftmr
-     endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau) 
-     if (iso_HDO.gt.0) THEN
-       if (Pqiinf(il).gt.ridicule_rain) THEN
+     endif    !if (iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+     IF (iso_HDO.gt.0) THEN
+       IF (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 224')   
-       endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+       endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+       IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
@@ -2899,5 +2899,5 @@
        endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
      endif !if (iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 442: tout se réévapore'
          WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
@@ -2906,5 +2906,5 @@
 #endif
         ! end verifs                
-  else !if ((f.lt.errmaxrel).or.(Pqiinf.lt.errmax)) THEN
+  else !if ((f.lt.errmaxrel).OR.(Pqiinf.lt.errmax)) THEN
 DO ixt=1,niso
 CALL FRACTCALK_liq(IXT, TEVAP(il), alphap(ixt,il))
@@ -2915,6 +2915,6 @@
 ! dans le cas 1er ordre pour la vapeur
 ! on remplace aussi le alpha en gama pour être plus précis
-IF ((h(il).gt.0.99).or. &
-&           (h(il).gt.0.98).and.(f(il).lt.1e-3)) THEN
+IF ((h(il).gt.0.99).OR. &
+&           (h(il).gt.0.98).AND.(f(il).lt.1e-3)) THEN
     do ixt=1,niso
     interm(ixt,il)=alphap(ixt,il)*(1.0-h(il)) &
@@ -2931,5 +2931,5 @@
     xtnew(ixt,il)=max(xtnew(ixt,il),0.0)
   enddo !do ixt=1,niso 
-  if (fac_ftmr(il).gt.0.0) THEN
+  IF (fac_ftmr(il).gt.0.0) THEN
      do ixt=1,niso  
        Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
@@ -2939,5 +2939,5 @@
        Exi(ixt,il)=Pxtisup(ixt,il)-Pxtiinf(ixt,il)
     enddo !do ixt=1,niso    
-  endif
+  ENDIF
     !Exi=max(Exi,0)
 
@@ -2952,5 +2952,5 @@
 &           'stewart_explicite 261')
     enddo !do ixt=1,niso
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &            (Rb(iso_eau,il)), &
@@ -2968,14 +2968,14 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 291',errmax*10,errmaxrel*10)
-        if (Pqiinf(il).gt.ridicule) THEN
+        IF (Pqiinf(il).gt.ridicule) THEN
             CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 312',errmax,errmaxrel)
          endif !if (Pqiinf.gt.ridicule) THEN
-     endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau)  
+     endif    !if (iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
       
-     if (iso_HDO.gt.0) THEN
-       if (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il), &
-&                ridicule_rain,deltalim_snow,'stewart_explicite 248').eq.1) THEN
+     IF (iso_HDO.gt.0) THEN
+       IF (iso_verif_aberrant_choix_nostop(Pxtiinf(iso_HDO,il),Pqiinf(il), &
+&                ridicule_rain,deltalim_snow,'stewart_explicite 248').EQ.1) THEN
              WRITE(*,*) 'cas reeq totale, il=',il
              WRITE(*,*) 'deltaDl0=',deltaD( &
@@ -2987,11 +2987,11 @@
              stop
        endif !if (iso_verif_aberrant_choix_nostop
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+       IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 499')
-       endif !if ((iso_HDO.gt.0).and.
+       endif !if ((iso_HDO.gt.0).AND.
      endif  !if (iso_HDO.gt.0) THEN
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 526: cas h~1: rééq'
          WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
@@ -3000,10 +3000,10 @@
 &                   (Rb0(iso_hdo,il))),deltaD( &
 &                   (Rl0(iso_hdo,il)))
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+     endif !if ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
 #endif
     ! end verifs
 
-else if ((f(il).gt.0.998).and. &
-&           (Eqi(il)*fac_ftmr(il).lt.1e-2*qp0(il))) then ! if ((h(il).gt.0.99).or. 
+ELSE IF ((f(il).gt.0.998).AND. &
+&           (Eqi(il)*fac_ftmr(il).lt.1e-2*qp0(il))) then ! if ((h(il).gt.0.99).OR.
 
 !*** cas particulier pour éviter imprécisions numériques:
@@ -3049,5 +3049,5 @@
 &           'stewart_explicite 397')
    enddo !do ixt=1,niso 
-   if (iso_eau.gt.0) THEN
+   IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
 &              (Pxtiinf(iso_eau,il)), &
@@ -3058,9 +3058,9 @@
 &              (Eqi(il)),'stewart_explicite 419', &
 &              errmax,errmaxrel)
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
 &                (Exi(iso_eau,il)*fac_ftmr(il)), &
 &                (Eqi(il)*fac_ftmr(il)), &
 &                'stewart_expilicit 344', &
-&                errmax*10,errmaxrel*10).eq.1) THEN
+&                errmax*10,errmaxrel*10).EQ.1) THEN
           WRITE(*,*) 'Rl0,Rb0=',Rl0(iso_eau,il),Rb0(iso_eau,il)
           WRITE(*,*) 'Revap0=',Revap0(iso_eau,il)
@@ -3072,5 +3072,5 @@
           stop
         endif
-        if (Pqiinf(il).gt.ridicule) THEN
+        IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
@@ -3078,9 +3078,9 @@
 &                   errmax,errmaxrel)
         endif !if (Pqiinf.gt.ridicule) THEN
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 380',errmax*10,errmaxrel*50) &
-&                           .eq.1) THEN
+&                           .EQ.1) THEN
                 WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
                 WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
@@ -3095,15 +3095,15 @@
                 stop
         endif !if (iso_verif_egalite_choix_nostop(
-     endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau)
-     if (iso_HDO.gt.0) THEN
-       if (Pqiinf(il).gt.ridicule_rain) THEN
+     endif    !if (iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+     IF (iso_HDO.gt.0) THEN
+       IF (Pqiinf(il).gt.ridicule_rain) THEN
          CALL iso_verif_aberrant( &
 &              (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &             'stewart_explicie 384')   
-       endif !(iso_HDO.gt.0).and.(ixt.eq.iso_HDO)
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
-         if (iso_verif_aberrant_nostop(( &
+       endif !(iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)
+       IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+         IF (iso_verif_aberrant_nostop(( &
 &               xtnew(iso_HDO,il)/(qp0(il)+Eqi(il)*fac_ftmr(il))), &
-&              'stewart_explicite 603').eq.1) THEN
+&              'stewart_explicite 603').EQ.1) THEN
            WRITE(*,*) 'qp0(il),Eqi(il),fac_ftmr(il)=', &
 &                   qp0(il),Eqi(il),fac_ftmr(il)
@@ -3132,5 +3132,5 @@
        endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
      endif !!if ((iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 663: cas où réévap faible'
          WRITE(*,*) 'ordre 1 pour la vapeur et le liquide'
@@ -3145,5 +3145,5 @@
 
   ! *** cas où pas d'air
-  if ((h(il).lt.1e-3).or.(qp0(il).lt.1e-8)) THEN
+  IF ((h(il).lt.1e-3).OR.(qp0(il).lt.1e-8)) THEN
 !              WRITE(*,*) 'stewart_explicit 349: cas pas d''air'
       !**** calcul de Rl
@@ -3179,5 +3179,5 @@
 &                   *(qp0(il)+Eqi(il)*fac_ftmr(il))
         enddo
-        if (fac_ftmr(il).gt.0.0) THEN
+        IF (fac_ftmr(il).gt.0.0) THEN
             do ixt=1,niso
                 Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il)) &
@@ -3203,5 +3203,5 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3216,17 +3216,17 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 419',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) THEN
+            IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 143',errmax,errmaxrel)
             endif !if (Pqiinf.gt.ridicule) THEN
-          endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) THEN
-            if (Pqiinf(il).gt.ridicule_rain) THEN
+          endif !(iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+          IF (iso_HDO.gt.0) THEN
+            IF (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+            IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
               CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
@@ -3234,5 +3234,5 @@
              endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 767: cas de réévap sèche'
          WRITE(*,*) 'distill de Rayleigh'
@@ -3243,6 +3243,6 @@
         ! end verifs
 
-    !else if (fac_ftmr(il).gt.1e18) THEN
-    else if (fac_ftmr(il).gt.1e24) THEN
+    !ELSE IF (fac_ftmr(il).gt.1e18) THEN
+    ELSE IF (fac_ftmr(il).gt.1e24) THEN
         ! *** cas où flux de masse nul
         do ixt=1,niso
@@ -3279,5 +3279,5 @@
 &                   'stewart_explicite 467')
     enddo !do ixt=1,niso    
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                  (Pxtiinf(iso_eau,il)), &
@@ -3288,9 +3288,9 @@
 &                  (Eqi(il)),'stewart_explicite 472', &
 &                   errmax,errmaxrel)
-            if (iso_verif_egalite_choix_nostop( &
+            IF (iso_verif_egalite_choix_nostop( &
 &                  (Exi(iso_eau,il)*fac_ftmr(il)), &
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 472b',errmax*10,errmaxrel*10) &
-&                  .eq.1) THEN
+&                  .EQ.1) THEN
                 WRITE(*,*) 'il=',il
                 WRITE(*,*) 'f,h=',f(il),h(il)
@@ -3302,17 +3302,17 @@
                 stop
             endif !if (iso_verif_egalite_choix_nostop(
-            if (Pqiinf(il).gt.ridicule) THEN
+            IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                  ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                  1.,'stewart_explicite 143',errmax,errmaxrel)
             endif !if (Pqiinf.gt.ridicule) THEN
-          endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) THEN
-            if (Pqiinf(il).gt.ridicule_rain) THEN
+          endif !(iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+          IF (iso_HDO.gt.0) THEN
+            IF (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+            IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
              CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
@@ -3320,5 +3320,5 @@
             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if (iso_HDO.gt.0)
-      if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+      IF ((debug.EQ.1).AND.(il.EQ.il_debug).AND.(Eqi(il).gt.0.)) THEN
          WRITE(*,*) 'stewart_explicit 831: flux de masse vap~0'
          WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
@@ -3328,5 +3328,5 @@
         ! end verifs
 
-    else ! else if (fac_ftmr(il).gt.1e18) THEN
+    else ! ELSE IF (fac_ftmr(il).gt.1e18) THEN
     !**** cas général
 
@@ -3341,5 +3341,5 @@
     ! modif le 13 juin 2012: seuil 1e-2 -> 5e-2
     ! le 15 juin: on revient à 1e-2 car sinon, vapeur varie trop
-    if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.1e-2) THEN
+    IF (Eqi(il)*fac_ftmr(il)/qp0(il).lt.1e-2) THEN
                 ! premier ordre pour la vapeur
                 ! cas ajouté le 7 dec 2011 car le cas général
@@ -3349,5 +3349,5 @@
             ! underflow exceptions quand f**beta fait dans les
             ! 1e-300.    
-       if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) THEN
+       IF (-h(il)/(1-h(il))*log(f(il)).gt.30.0) THEN
         do ixt=1,niso
            Rl(ixt,il) = Rl0(ixt,il)*f(il)**beta(ixt,il) &
@@ -3368,5 +3368,5 @@
         xtnew(ixt,il)=Rb(ixt,il)*(qp0(il)+Eqi(il)*fac_ftmr(il)) 
         xtnew(ixt,il)=max(xtnew(ixt,il),0.0)              
-        if (fac_ftmr(il).gt.0.0) THEN
+        IF (fac_ftmr(il).gt.0.0) THEN
          Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
         else
@@ -3388,5 +3388,5 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3401,21 +3401,21 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 931',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) THEN
+            IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 935',errmax,errmaxrel)
             endif !if (Pqiinf.gt.ridicule) THEN
-          endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) THEN
-            if (Pqiinf(il).gt.ridicule_rain) THEN
+          endif !(iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+          IF (iso_HDO.gt.0) THEN
+            IF (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
-                if (iso_verif_aberrant_nostop(( &
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+            IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+                IF (iso_verif_aberrant_nostop(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 947') &
-&                   .eq.1) THEN
+&                   .EQ.1) THEN
                    WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &                          Eqi(il)*fac_ftmr(il)/qp0(il) 
@@ -3447,19 +3447,19 @@
              endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0).and. &
+          IF ((iso_O17.gt.0).AND.(iso_O18.gt.0).AND. &
 &               (O17_verif)) THEN
-             if (Pqiinf(il).gt.ridicule_rain) THEN
+             IF (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant_o17( &
 &                  (Pxtiinf(iso_O17,il)/Pqiinf(il)), &
 &                  (Pxtiinf(iso_O18,il)/Pqiinf(il)), &
 &                  'stewart_explicie 955')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-          endif  ! if ((iso_O17.gt.0).and.(iso_O18.gt.0).and.
-     if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+          endif  ! if ((iso_O17.gt.0).AND.(iso_O18.gt.0).AND.
+     IF ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
         WRITE(*,*) 'stewart_explicit 951: 1er ordre pour la vap'
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+     endif !if ((debug.EQ.1).AND.(il.EQ.il_debug)) THEN
 #endif              
 
-    else if ((A(il)*m0(il)/qp0(il).gt.10.0).and. &
+    ELSE IF ((A(il)*m0(il)/qp0(il).gt.10.0).AND. &
 &                (1.0-f(il).lt.1e-5)) THEN
         ! beaucoup de liquide se réévaporant très peu dans un
@@ -3485,5 +3485,5 @@
           Pxtiinf(ixt,il)=max(Pxtiinf(ixt,il),0.0)
           xtnew(ixt,il)=max(xtnew(ixt,il),0.0)          
-          if (fac_ftmr(il).gt.0.0) THEN
+          IF (fac_ftmr(il).gt.0.0) THEN
              Exi(ixt,il)=(xtnew(ixt,il) &
 &                 -xtp0(ixt,il))/fac_ftmr(il)
@@ -3505,5 +3505,5 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3518,21 +3518,21 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 1111',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) THEN
+            IF (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 1115',errmax,errmaxrel)
             endif !if (Pqiinf.gt.ridicule) THEN
-          endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) THEN
-            if (Pqiinf(il).gt.ridicule_rain) THEN
+          endif !(iso_eau.gt.0).AND.(ixt.EQ.iso_eau)
+          IF (iso_HDO.gt.0) THEN
+            IF (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 1122')   
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
-                if (iso_verif_aberrant_nostop(( &
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO).AND.
+            IF (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+                IF (iso_verif_aberrant_nostop(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 1127') &
-&                   .eq.1) THEN
+&                   .EQ.1) THEN
                    WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &                          Eqi(il)*fac_ftmr(il)/qp0(il) 
